Package kiyut.sketsa.windows.toolbox

## Class PolyToolAction

- java.lang.Object
- - org.openide.util.SharedClassObject
  - - org.openide.util.actions.SystemAction
    - - org.openide.util.actions.BooleanStateAction
      - - kiyut.sketsa.windows.toolbox.AbstractToolAction
        - - kiyut.sketsa.windows.toolbox.PolyToolAction

- All Implemented Interfaces:
    `ActionListener`, `Externalizable`, `Serializable`, `EventListener`, `Action`, `org.openide.util.actions.Presenter`, `org.openide.util.actions.Presenter.Menu`, `org.openide.util.actions.Presenter.Popup`, `org.openide.util.actions.Presenter.Toolbar`, `org.openide.util.HelpCtx.Provider`

      public class PolyToolAction
      extends AbstractToolAction

  Action wrapper for `PolyTool` which is used by Toolbox, aka Toolbox Item
  Author:
    Kiyut
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter

      `org.openide.util.actions.Presenter.Menu, org.openide.util.actions.Presenter.Popup, org.openide.util.actions.Presenter.Toolbar`

  - ### Field Summary

    - ### Fields inherited from class kiyut.sketsa.windows.toolbox.AbstractToolAction

      `editorCookie, tool`

    - ### Fields inherited from class org.openide.util.actions.BooleanStateAction

      `PROP_BOOLEAN_STATE`

    - ### Fields inherited from class org.openide.util.actions.SystemAction

      `PROP_ENABLED, PROP_ICON`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PolyToolAction()` | Creates a new instance of PolyToolAction

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` |
    `protected String` | `iconResource()` |

    - ### Methods inherited from class kiyut.sketsa.windows.toolbox.AbstractToolAction

      `actionPerformed, getHelpCtx, getTool, setSVGEditorCookie`

    - ### Methods inherited from class org.openide.util.actions.BooleanStateAction

      `getBooleanState, getMenuPresenter, getPopupPresenter, getToolbarPresenter, initialize, setBooleanState`

    - ### Methods inherited from class org.openide.util.actions.SystemAction

      `clearSharedData, createPopupMenu, createToolbarPresenter, get, getIcon, getIcon, getValue, isEnabled, linkActions, putValue, setEnabled, setIcon`

    - ### Methods inherited from class org.openide.util.SharedClassObject

      `addNotify, addPropertyChangeListener, equals, finalize, findObject, findObject, firePropertyChange, getLock, getProperty, hashCode, putProperty, putProperty, readExternal, removeNotify, removePropertyChangeListener, reset, writeExternal, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.Action

      `accept, addPropertyChangeListener, removePropertyChangeListener`

- - ### Constructor Detail

    - #### PolyToolAction

          public PolyToolAction()

      Creates a new instance of PolyToolAction

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `org.openide.util.actions.SystemAction`

    - #### iconResource

          protected String iconResource()

      Overrides:
        `iconResource` in class `org.openide.util.actions.SystemAction`